import React from "react";
import { useNavigate } from "react-router-dom";
import FrameImage from "../assets/images/page4.svg";

const AgentAssigned = () => {
  const navigate = useNavigate();

  return (
    <div className="flex flex-col items-center justify-center min-h-screen bg-[#E9FAFF] py-10 px-6">
      <h1 className="absolute top-[130.5px] left-[450px] text-[48.31px] font-bold text-[#030A1E] leading-none">
        OMPOI - Seller
      </h1>
      <div className="bg-white flex flex-row w-[85%] max-w-6xl rounded-3xl shadow-xl overflow-hidden border border-gray-200 p-10 relative">
        
        {/* Left Side - Illustration */}
        <div className="hidden md:flex md:w-1/2 items-center justify-center p-6">
          <img 
            src={FrameImage} 
            alt="Illustration" 
            className="w-[80%] h-auto cursor-pointer" 
            onClick={() => navigate("/agent-verified")} // Navigates to AgentVerified.jsx
          />
        </div>
        
        {/* Vertical Divider */}
        <div className="absolute top-[10%] left-[50%] w-[2px] h-[80%] bg-[#E2E7EE]"></div>

        <div className="w-full md:w-1/2 flex flex-col justify-center px-8 py-6 relative">
          <h2 className="text-3xl font-semibold text-gray-900 mb-6 text-left">Status</h2>
          
          <div className="w-[520px] h-[410px] relative bg-[#FFF1CC] rounded-xl shadow-[6px_6px_0px_0px_rgba(0,0,0,1.00)] overflow-hidden p-7">
            {/* Company Name */}
            <div className="text-gray-600 text-xl font-medium font-['Montserrat'] leading-loose">Company Name</div>
            <div className="text-black text-xl font-semibold font-['Montserrat']">ABCD PVT LTD</div>

            {/* Company Address */}
            <div className="text-gray-600 text-xl font-medium font-['Montserrat'] leading-loose">Company Address</div>
            <div className="text-black text-xl font-medium font-['Montserrat']">Shop No: 45 ABC Street</div>
            <div className="text-black text-xl font-medium font-['Montserrat']">Mylapore</div>
            <div className="text-black text-xl font-medium font-['Montserrat']">Chennai - 600004</div>
            
            {/* Agent Details */}
            <div className="text-gray-600 text-xl font-semibold font-['Montserrat'] leading-loose">Agent Details</div>
            <div className="text-gray-600 text-xl font-medium font-['Montserrat']">Agent Name</div>
            <div className="text-black text-xl font-medium font-['Montserrat']">Gopal M</div>
            <div className="text-gray-600 text-xl font-medium font-['Montserrat']">Agent Number</div>
            <div className="text-black text-xl font-medium font-['Montserrat']">+91-12345 69870</div>
            
            {/* Status Label (Previously Button) */}
            <div className="absolute top-[38px] left-[295px] w-[210px] h-[45px] gap-[10px] rounded-full border-2 border-[#FFD255] text-black text-lg font-medium px-[37px] py-[10px] flex items-center justify-center">
              Agent Assigned
            </div>
          </div>
        </div>
      </div>
    </div>
  );
};

export default AgentAssigned;
