import React from "react";
import FrameImage from "../assets/images/page6.svg";

const AgentPayment = () => {
  return (
    <div className="flex items-center justify-center min-h-screen bg-[#E9FAFF] py-10 px-6">
      <h1 className="text-[32px] md:text-[48.31px] font-bold text-[#030A1E] leading-none text-center md:absolute md:top-[130.5px] md:left-[32.2%] md:translate-x-[-50%]">
        OMPOI - Seller
      </h1>
      
      {/* Main White Box */}
      <div className="bg-white flex flex-row w-[85%] max-w-6xl rounded-3xl shadow-xl overflow-hidden border border-gray-200 p-10 relative">
        
        {/* Left Section - Image */}
        <div className="w-1/2 flex items-center justify-center">
          <img 
            src={FrameImage} 
            alt="Illustration" 
            className="w-[90%] h-auto cursor-pointer" 
          />
        </div>

        {/* Vertical Divider */}
        <div className="absolute top-[10%] left-[50%] w-[2px] h-[80%] bg-[#E2E7EE]"></div>

        {/* Right Section - Status */}
        <div className="w-1/2 flex flex-col justify-center px-8 relative">
          <h2 className="text-3xl font-semibold text-gray-900 mb-6">Status</h2>
          
          {/* Status Box */}
          <div className="w-[520px] h-[410px] relative bg-[#E9FAFF] rounded-xl shadow-[6px_6px_0px_0px_rgba(0,0,0,1.00)] overflow-hidden p-7">
            {/* Company */}
            <div className="text-gray-600 text-xl font-medium font-['Montserrat'] leading-loose">Company Name</div>
            <div className="text-black text-xl font-semibold font-['Montserrat']">ABCD PVT LTD</div>
            
            <div className="text-gray-600 text-xl font-medium font-['Montserrat'] leading-loose">Company Address</div>
            <div className="text-black text-xl font-medium font-['Montserrat']">Shop No: 45 ABC Street</div>
            <div className="text-black text-xl font-medium font-['Montserrat']">Mylapore</div>
            <div className="text-black text-xl font-medium font-['Montserrat']">Chennai - 600004</div>
            
            {/* Merchant ID */}
            <div className="absolute top-[238px] left-[135px] w-[298px] h-[32px] text-[#45505F] text-[22px] font-medium font-['Montserrat'] leading-[31.3px] tracking-[0.13px]">
              Merchant ID: <span className="font-semibold">TAMIL12345</span>
            </div>

            {/* Verified Badge */}
            <div className="absolute top-[30px] left-[350px] w-[156px] h-[45px] text-[#101418] text-[20px] font-medium font-['Montserrat'] leading-[100%] tracking-[0px] gap-[10px] rounded-full border-2 border-[#0096FF] px-[35px] py-[10px]">
              Verified
            </div>

            {/* Login Message */}
            <div className="absolute top-[278px] left-[95px] w-[392px] h-[24px] text-[#000000] text-[20px] font-medium font-['Montserrat'] leading-[100%] tracking-[0.13px] text-center">
              Login to your account to get started
            </div>

            {/* Login Button */}
            <div className="absolute top-[340px] left-[184px] w-[241px] h-[45px] gap-[10px] rounded-full bg-[#0096FF] text-white text-lg font-semibold flex items-center justify-center shadow-md hover:bg-blue-700 transition px-[37px] py-[10px]">
              <button className="w-full h-full">Login Now</button>
            </div>
          </div>
        </div>
      </div>

      {/* Payment Details */}
      <div className="absolute top-[407px] left-[1250px] w-[190px] h-[32px] text-[#45505F] text-[22px] font-semibold font-['Montserrat'] leading-[31.3px] tracking-[0.13px]">
        Payment Details
      </div>

      {/* Payment ID */}
      <div className="absolute top-[446px] left-[1269px] w-[206px] h-[32px] text-[#45505F] text-[22px] font-medium font-['Montserrat'] leading-[31.3px] tracking-[0.13px]">
        Payment ID
      </div>

      {/* Payment ID Value */}
      <div className="absolute top-[500px] left-[1251px] w-[246px] h-[24px] text-[#000000] text-[20px] font-medium font-['Montserrat'] leading-[100%] tracking-[0.13px]">
        ATUWBYTY1245678HBG
      </div>
    </div>
  );
};

export default AgentPayment;
