import React from "react";
import { useNavigate } from "react-router-dom";
import FrameImage from "../assets/images/page5.svg";

const AgentVerified = () => {
  const navigate = useNavigate();

  return (
    <div className="flex items-center justify-center min-h-screen bg-[#E9FAFF] py-10 px-6">
      {/* Main White Box */}
      <div className="bg-white flex flex-row w-[85%] max-w-6xl rounded-3xl shadow-xl overflow-hidden border border-gray-200 p-10 relative">
        
        {/* Left Section - Image */}
        <div className="w-1/2 flex items-center justify-center">
          <img 
            src={FrameImage} 
            alt="Illustration" 
            className="w-[90%] h-auto cursor-pointer" 
          />
        </div>

        {/* Vertical Divider */}
        <div className="absolute top-[10%] left-[50%] w-[2px] h-[80%] bg-[#E2E7EE]"></div>

        {/* Right Section - Status */}
        <div className="w-1/2 flex flex-col justify-center px-8 relative">
          <h2 className="text-3xl font-semibold text-gray-900 mb-6">Status</h2>
          
          {/* Status Box */}
          <div className="w-[520px] h-[410px] relative bg-[#CEFFCC] rounded-xl shadow-[6px_6px_0px_0px_rgba(0,0,0,1.00)] overflow-hidden p-7">
            {/* Company */}
            <div className="text-gray-600 text-xl font-medium font-['Montserrat'] leading-loose">Company Name</div>
            <div className="text-black text-xl font-semibold font-['Montserrat']">ABCD PVT LTD</div>
            
            <div className="text-gray-600 text-xl font-medium font-['Montserrat'] leading-loose">Company Address</div>
            <div className="text-black text-xl font-medium font-['Montserrat']">Shop No: 45 ABC Street</div>
            <div className="text-black text-xl font-medium font-['Montserrat']">Mylapore</div>
            <div className="text-black text-xl font-medium font-['Montserrat']">Chennai - 600004</div>
            
            {/* Verified By */}
            <div className="absolute top-[219px] left-[33px] w-[125px] h-[32px] text-[#45505F] text-[22px] font-semibold font-['Montserrat'] leading-[31.3px] tracking-[0.13px]">Verified By</div>
            
            {/* Agent Name */}
            <div className="absolute top-[255px] left-[49px] w-[206px] h-[32px] text-[#45505F] text-[22px] font-medium font-['Montserrat'] leading-[31.3px] tracking-[0.13px]">Agent Name</div>
            <div className="absolute top-[293px] left-[49px] w-[85px] h-[24px] text-[#000000] text-[20px] font-medium font-['Montserrat'] leading-[100%] tracking-[0.13px]">Gopal M</div>
            <div className="absolute top-[325px] left-[49px] w-[206px] h-[32px] text-[#45505F] text-[22px] font-medium font-['Montserrat'] leading-[31.3px] tracking-[0.13px]">Agent Number</div>
            <div className="absolute top-[363px] left-[48px] w-[164px] h-[24px] text-[#000000] text-[20px] font-medium font-['Montserrat'] leading-[100%] tracking-[0.13px]">+91-12345 69870</div>
            
            {/* Verified Badge */}
            <div className="absolute top-[40px] left-[333px] w-[156px] h-[45px] text-[#101418] text-[20px] font-medium font-['Montserrat'] leading-[100%] tracking-[0px] gap-[10px] rounded-full border-2 border-[#22CA00] px-[35px] py-[10px]">
              Verified
            </div>

            {/* Payment Section */}
            <div className="absolute top-[160px] left-[280px] w-[237px] h-[63px] text-[#45505F] text-[22px] font-semibold font-['Montserrat'] leading-[31.3px] tracking-[0.13px] text-center">
              Pay Now To Get Your Merchant ID
            </div>
            <div className="absolute top-[226px] left-[295px] w-[211px] h-[40px] gap-[21px] rounded-full bg-[#22CA00] text-white text-lg font-semibold-[37px] py-20px] flex items-center justify-center shadow-md hover:bg-green-700 transition">
              <button
                onClick={() => navigate("/agent-payment")}
                className="w-full h-full"
              >
                Pay Now
              </button>
            </div>
          </div>
        </div>

      </div>
      <h1 className="text-[32px] md:text-[48.31px] font-bold text-[#030A1E] leading-none text-center md:absolute md:top-[130.5px] md:left-[32.2%] md:translate-x-[-50%]">OMPOI - Seller</h1>
    </div>
  );
};

export default AgentVerified;